Bug 196951 - [Web GPU] Add demos to webkit.org
Summary: [Web GPU] Add demos to webkit.org
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Justin Fan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-04-15 18:28 PDT by Justin Fan
Modified: 2019-05-06 17:06 PDT (History)
5 users (show)

See Also:


Attachments
Patch (4.99 MB, patch)
2019-04-15 18:32 PDT, Justin Fan
no flags Details | Formatted Diff | Diff
Patch (3.33 MB, patch)
2019-04-16 12:01 PDT, Justin Fan
no flags Details | Formatted Diff | Diff
Patch (1.24 MB, patch)
2019-04-16 12:13 PDT, Justin Fan
no flags Details | Formatted Diff | Diff
Patch (1.24 MB, patch)
2019-05-03 21:51 PDT, Justin Fan
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews214 for win-future (13.38 MB, application/zip)
2019-05-04 02:58 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Fan 2019-04-15 18:28:35 PDT
[Web GPU] Add demos to webkit.org
Comment 1 Justin Fan 2019-04-15 18:32:08 PDT
Created attachment 367486 [details]
Patch
Comment 2 Justin Fan 2019-04-16 12:01:37 PDT
Created attachment 367553 [details]
Patch
Comment 3 Justin Fan 2019-04-16 12:13:54 PDT
Created attachment 367554 [details]
Patch
Comment 4 Myles C. Maxfield 2019-04-18 13:34:49 PDT
Comment on attachment 367554 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=367554&action=review

> Websites/webkit.org/ChangeLog:9
> +        Add simple triangle and spinning textured cube demos to the website.
> +        Add Web GPU to experimental-features.html.

There's a lot of green in this patch. What about the existing WebMetal demos? Are we rewriting them? Deleting them?

> Websites/webkit.org/demos/webgpu/scripts/gl-matrix-min.js:26
> +/* Copyright (c) 2015, Brandon Jones, Colin MacKenzie IV.
> +
> +Permission is hereby granted, free of charge, to any person obtaining a copy
> +of this software and associated documentation files (the "Software"), to deal
> +in the Software without restriction, including without limitation the rights
> +to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
> +copies of the Software, and to permit persons to whom the Software is
> +furnished to do so, subject to the following conditions:
> +
> +The above copyright notice and this permission notice shall be included in
> +all copies or substantial portions of the Software.
> +
> +THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
> +IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
> +FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
> +AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
> +LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
> +OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
> +THE SOFTWARE. */

Are we sure this license is okay with our lawyers?

It's probably easier to just reimplement the specific pieces we need than deal with licenses.
Comment 5 Justin Fan 2019-04-30 11:29:18 PDT
The API request was approved. I'll fix these up for API changes this week before landing this.
Comment 6 Justin Fan 2019-05-03 21:51:37 PDT
Created attachment 369048 [details]
Patch
Comment 7 Build Bot 2019-05-04 02:58:03 PDT
Comment on attachment 369048 [details]
Patch

Attachment 369048 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12098129

New failing tests:
js/dom/custom-constructors.html
Comment 8 Build Bot 2019-05-04 02:58:05 PDT
Created attachment 369069 [details]
Archive of layout-test-results from ews214 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews214  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 9 Dean Jackson 2019-05-06 16:28:38 PDT
Comment on attachment 369048 [details]
Patch

rs=me
Comment 10 WebKit Commit Bot 2019-05-06 17:04:55 PDT
Comment on attachment 369048 [details]
Patch

Clearing flags on attachment: 369048

Committed r244992: <https://trac.webkit.org/changeset/244992>
Comment 11 WebKit Commit Bot 2019-05-06 17:04:56 PDT
All reviewed patches have been landed.  Closing bug.
Comment 12 Radar WebKit Bug Importer 2019-05-06 17:06:11 PDT
<rdar://problem/50520129>